GNU bug report logs - #50852
[PATCH] Fix search of the look program.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: André A. Gomes <andremegafone@HIDDEN>; dated Mon, 27 Sep 2021 18:46:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) patch and moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 30 Oct 2021 16:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 12:09:44 2021
Received: from localhost ([127.0.0.1]:58264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgqvP-0002Me-UG
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 12:09:44 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:39927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mgqvM-0002ML-Ew
 for 50852 <at> debbugs.gnu.org; Sat, 30 Oct 2021 12:09:41 -0400
Received: by mail-pg1-f182.google.com with SMTP id g184so12875273pgc.6
 for <50852 <at> debbugs.gnu.org>; Sat, 30 Oct 2021 09:09:40 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=5k7cIUfPl9B26ftD37E1Kl7hhEy5xiX2/Rkr9PyWglw=;
 b=cwC+V5cvHAZhLwVt6opm+HI2FcYhI/kv5sU9LFLgwAy/psoqej9d1mVivTJQVx0b5P
 9IW0d4d80vE7VHI/mlxoCHcEipVHovqOAHtpdD//bHHCdRiWV+xsVEShAjtPMU34tSTh
 RfyYNtxkxZ1CO4v6SLdS8bp1OsBLF1LeKLB5ELIRmA3KYwFcAHmomehwDC7oYm74lUw+
 1HJT/lDRw7FPgdTlMn0fMIYEpnsSLTd2JgDJEx5JtF7R+wFnrp8bP0oyWW7JdIb/5d9F
 /JMj0X2Mku6oAN0rF9zmfvtFPzGreUSS2ivdKU7F/S3xQwk23bQbzI3oPryw2GJJQe1r
 razA==
X-Gm-Message-State: AOAM53196fjE4G/CI9NDiZJaC9WMwhoHHHlNNk4FfdrRWbV3I6AdGSo4
 gz5R4vKnqukv/VusHYctnKCQTT6Wc8PnUZ95pRs=
X-Google-Smtp-Source: ABdhPJyaKZhTmKw9I94sUoHLtdjsqNjoXgJdaGcisi0+hBAooCyyvut+8Bltzh4WI2D5O7JCmpT1Egjxe28sGaD74J4=
X-Received: by 2002:a63:330f:: with SMTP id z15mr13523591pgz.42.1635610174922; 
 Sat, 30 Oct 2021 09:09:34 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 30 Oct 2021 09:09:34 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: =?UTF-8?B?PDg3aDdlNTZxaWwuZnNmQGdtYWlsLmNvbT4gKCJBbmRyw6kgQS4gR29tZXMiJ3Mg?=
 =?UTF-8?B?bWVzc2FnZSBvZiAiVHVlLCAyOCBTZXAgMjAyMSAxMTo0MTozOCArMDMwMCIp?=
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <8335ppkzc1.fsf@HIDDEN> <87ilylfcvt.fsf@HIDDEN> <83v92ljhmt.fsf@HIDDEN>
 <87h7e56qil.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 30 Oct 2021 09:09:34 -0700
Message-ID: <CADwFkm=0vbbzYBwe3_RWmmHN-+EvE-UGRfucy_FvV-fPquywYg@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
To: =?UTF-8?B?QW5kcsOpIEEuIEdvbWVz?= <andremegafone@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50852
Cc: Eli Zaretskii <eliz@HIDDEN>, 50852 <at> debbugs.gnu.org,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>>> Cc: Stefan Kangas <stefan@HIDDEN>,  andremegafone@HIDDEN,
>>>   50852 <at> debbugs.gnu.org
>>> Date: Tue, 28 Sep 2021 08:11:18 +0200
>>>
>>> Eli Zaretskii <eliz@HIDDEN> writes:
>>>
>>> > In this case, why not simply have the value as "look" with no leading
>>> > directories?  If the program is installed, it will be found when it's
>>> > invoked, and if it isn't installed, the user gets an error message at
>>> > that time.
>>>
>>> That's a good point.  And the ispell-look-p variable is itself rather
>>> odd -- why have both ispell-look-command and that variable (with a
>>> non-standard name)?
>>
>> Right.  The existence of "look" should IMO be tested as part of
>> ispell-lookup-words, not when the package loads.  Then the command
>> could decide whether to use "look" or Grep at that time, and the need
>> for the ispell-look-p variable would disappear.
>
> You're both right.  I was actually silly.  I can prepare a patch
> following these ideas.

It seems like we are still waiting for this patch.  So here's a friendly
reminder to take a look at this when you find some time.  :-)

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 11:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 07:06:56 2021
Received: from localhost ([127.0.0.1]:44006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVAwp-00019W-Sv
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 07:06:56 -0400
Received: from mail-pj1-f52.google.com ([209.85.216.52]:47096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mVAwo-00019I-A4
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 07:06:54 -0400
Received: by mail-pj1-f52.google.com with SMTP id
 lb1-20020a17090b4a4100b001993f863df2so2496301pjb.5
 for <50852 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 04:06:54 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=Dq/VBsbJZXS7HnimKzzBg5udtWFSFxCAfmWbTjbJ8QU=;
 b=NyaYOTuny0ApVuMdrJGMARze7L8vcKo7LiRVEqtOeiebkE7TbsBBLEOVKiq1NfX4Nh
 jpClrQuBcFIiZT7T2mNqPRF65LKoggYvMYryc8YOWWzaep/Wta++iRLi+hsjsGc3/DA+
 3UcOfgbrdYsfcpXBEO/0zrOEJ6fINxEMr+vPz9kPQm70HCLApX5uHFa8qq62yRvjfL6n
 JoXNtZWIPUV+otZ1NesPaa1zBvcRKyPZ8sRnskvPlf8EYBr3SafJ/ziqLKpFu8iHb6St
 OPKdg51lSixbRhZmyBtYLj9F4h1o8FXueki8NfjlVZJ9BVCqvM3jI5rvvN3TfHirCnSH
 z1xQ==
X-Gm-Message-State: AOAM532i0S5iN3oZldnMeggV9ZMoGe5SCu+V0dejDsX+x1WUoaZiDeLh
 +/fmBUiehYc1B+JhlbaUOH4h0EQVd3QzrapzSdA=
X-Google-Smtp-Source: ABdhPJzI/Fp59LPHRAjcQgKzctURtc3Qr/WFh7mld/4VQOCMt+hmMuRIMl2gdsKJzQxaEwYoMUuF4CahDFkZnIrEvzE=
X-Received: by 2002:a17:90a:5583:: with SMTP id
 c3mr4709945pji.133.1632827208608; 
 Tue, 28 Sep 2021 04:06:48 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 28 Sep 2021 04:06:48 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87o88d6qxk.fsf@HIDDEN>
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <87o88d6qxk.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 28 Sep 2021 04:06:48 -0700
Message-ID: <CADwFkmnexBA+6x_JS-n5UnuCQMgeRL8VwJoJdFS-m+SgC7M44A@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
To: =?UTF-8?B?QW5kcsOpIEEuIEdvbWVz?= <andremegafone@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50852
Cc: 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> I don't think there's a GNU one, since it's not part of the GNU
> coreutils.
>
> Here's what the man page say:
>
> --8<---------------cut here---------------start------------->8---
> The look utility appeared in Version 7 AT&T Unix.
>
> The look command is part of the util-linux  package  and  is  available
>        from https://www.kernel.org/pub/linux/utils/util-linux/.
> --8<---------------cut here---------------end--------------->8---
>
> From the first sentence I inferred that it appeared in 1979.
>
> I had a look at the "look" program both on my GNU/Linux machine and on a
> modern Mac laptop.  Both have the same "look", none have the "-r" flag.

Maybe it's better to make all that stuff obsolete, indeed.

But I do wonder why the "-r" parameter was added.  It seems like it
depends on the `ispell-have-new-look' variable, added in the initial
revision in 1994 (commit 007852e00dd8).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 09:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 05:15:41 2021
Received: from localhost ([127.0.0.1]:43836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV9DA-0006c7-Vl
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 05:15:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mV9D9-0006bt-35
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 05:15:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35232)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mV9D3-0006q2-MU; Tue, 28 Sep 2021 05:15:33 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2462
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mV9D2-0007Wt-D3; Tue, 28 Sep 2021 05:15:33 -0400
Date: Tue, 28 Sep 2021 12:15:38 +0300
Message-Id: <83h7e5jc1x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9?= A. Gomes <andremegafone@HIDDEN>
In-Reply-To: <87h7e56qil.fsf@HIDDEN> (message from =?utf-8?Q?Andr=C3=A9?=
 A. Gomes on Tue, 28 Sep 2021 11:41:38 +0300)
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <8335ppkzc1.fsf@HIDDEN> <87ilylfcvt.fsf@HIDDEN>
 <83v92ljhmt.fsf@HIDDEN> <87h7e56qil.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50852
Cc: larsi@HIDDEN, 50852 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: André A. Gomes <andremegafone@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  stefan@HIDDEN,
>   50852 <at> debbugs.gnu.org
> Date: Tue, 28 Sep 2021 11:41:38 +0300
> 
> I can prepare a patch following these ideas.

I think it will be appreciated, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 09:02:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 05:02:45 2021
Received: from localhost ([127.0.0.1]:43792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV90e-0006IH-Uk
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 05:02:45 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:40549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1mV90d-0006I3-4l
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 05:02:43 -0400
Received: by mail-lf1-f41.google.com with SMTP id b15so88443171lfe.7
 for <50852 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 02:02:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=jouJoyKYEViAmbSEw/KBo1p4mHjLY2nEd/9kALFn47Q=;
 b=WKVnSnB5nGuEv1zqm4yxz4SCZjsQMKlidbZaMH1aoELWID7NnNkEU4m02rHiLISPWm
 Af+tVDF2NvHpz9+X3iao3NHMQdjWcmrmL7CrUeMHi22DvfLtfXqwj/T79RQoCiaCPshG
 U1HN+LNgfZqDF2XQM1q0c/DUhwdJkuRAD4Et09vA9Q6rQUwztdQckBlia0WS+NbiSPfX
 D6yrNTQp09zxTRYjHY+vApzjmbcRafnsT6p7ymNqiS3dcwIoedxp+XtfggypvsuwTWse
 KUK6Pr6CN0FYScu+EVDKxIho/HYg/+tOpPyUJMpE8D0kgXzWHkf4k3idlzYyRtt36gzE
 z+Fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=jouJoyKYEViAmbSEw/KBo1p4mHjLY2nEd/9kALFn47Q=;
 b=HphmFOsBfg8Hz7pbfRf4aC7OZBIJOlISQNwZjQaKeBJBQLbqdbhlZj3YJWSOMUCE95
 XuQucb7OeQzjhPG8EoyvUaXLbjFXXppxUj7PzbTum+lDuzUZCzndnuYRHzGSEqAoUZxK
 dYXAujR4vXsY42s8FmeMstg8sZ3KwrxXN3PBBkvG81MgL5/OxSz7oHK8KEFkQ4K6uJ0G
 qcwu2wga8MKN7LrDt1FZXpy/9fmpiQyQ1UEzzmVlINkzhrGRcoqUi4H1PvejgA9iLwqF
 4RlKKZjhyfVtC/ltvESPOX4oEfII30YzemDpgdmreiNs48szn4JIrqDRrnHKH0dYFlNp
 GWMA==
X-Gm-Message-State: AOAM532CmzYGAucgapm/xTIJ6XPLgBWyCWXyMSAF8yGDNH9XQ6OUg0TX
 2p0+zWV4TswulSmOJuOurVxeOughjG4=
X-Google-Smtp-Source: ABdhPJwqbezxNUbnZpJR5tMCS59r94z1jXqxuoKE031ilt/dk0u3TAVCNoF0c/ESTA1zWGu+zsvi7w==
X-Received: by 2002:a05:651c:989:: with SMTP id
 b9mr4515303ljq.136.1632819756777; 
 Tue, 28 Sep 2021 02:02:36 -0700 (PDT)
Received: from guix-xps13 (95-29-46-147.broadband.corbina.ru. [95.29.46.147])
 by smtp.gmail.com with ESMTPSA id
 d20sm1851672lfv.117.2021.09.28.02.02.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Sep 2021 02:02:36 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN> <87zgrxfdog.fsf@HIDDEN>
Date: Tue, 28 Sep 2021 12:02:35 +0300
In-Reply-To: <87zgrxfdog.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 28 Sep 2021 07:54:07 +0200")
Message-ID: <87czot6pjo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50852
Cc: 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:
>
>> Here's a more robust way to handle the existence of the look program by
>> ispell.  GNU Guix users will be happy.
>
> Thanks; applied to Emacs 28 (but I made the ispell-look-p change more
> defensive, in case somebody has set ispell-look-command in their init
> file).

Makes sense.  I was naive.

>> There's another aspect worth discussing.  The look program doesn't have
>> the -r flag (as of today), but ispell handles this case (look at
>> ispell-look-options).  It seems that look was published around 1979.
>> Perhaps it's time to deprecate this flag?
>
> Do you know when the "-r" flag disappeared?

That's a good question.  As mentioned above, look is the same in both
MacOS and GNU/Linux.

The -r flag stands for regexp.  It seems odd that a binary search
program like look would support regexp.

My intuition tells me that once upon a time there was a programme named
look whose behaviour resembles that of grep.  But what does a kid like
me know about Unix and the dinosaurs anyway? :)

I'd deprecate support for this odd flag.  But ispell-lookup-words should
definitely use look, by default, instead of grep.=20=20=20


--=20
Andr=C3=A9 A. Gomes
"Free Thought, Free World"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 08:41:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 04:41:48 2021
Received: from localhost ([127.0.0.1]:43730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV8gO-0005jl-BB
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 04:41:48 -0400
Received: from mail-lf1-f54.google.com ([209.85.167.54]:36641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1mV8gM-0005jX-G6
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 04:41:47 -0400
Received: by mail-lf1-f54.google.com with SMTP id b20so89767698lfv.3
 for <50852 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 01:41:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=5y1Ki3abDZixWNmu0jElURgPhYnWD4VvCwmiPS1weUU=;
 b=OpEUiJZMIhBg+58mFdquhSo3CDAGNAnzQH1BRJ8zAa4CjDtrKpjEja/6YlHj/AMI5g
 UKeiqLSGsiKOntHF7SUzlMtitMVUETqAXe4FLCDuiaQb9I67zadq7aWBO4nhYspfm45c
 Uj2jeNoDDXMRPnk/DUsITrb3xJ4+Zx2dhnFpPc0NCWpxuSb11tTLIVPA+/RDnpGIgG5i
 JyLxfbYFNFpMJww7ANPyXQIKDt/R29El74sC6pNIsYHBfA9u91c6Z6fm/4j4PAqy7PL3
 zd17agGH1g6LkNFxNo3+lbIYzhqusOrwJ7dpv+segFR3hYY04FE3bIaSVTy03XQVWe/G
 Bopw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=5y1Ki3abDZixWNmu0jElURgPhYnWD4VvCwmiPS1weUU=;
 b=adqHieVHjpkHWeZD9LXbZoL69BhO16wKMnkvgm9mZA/FtudAtPwTUrqlPcHKTx2HPz
 aZZKCknGwcI0BS+DMkNPrwrOfdwDo+JRnlSHo2yEpZCrGBTPnfFREYEaYXZB0KmiCoGF
 cB55A+2goB7z/ecJc4nIcvojXS4RyuRKC+VOMR4lHLARfTGMeQpUDsQvhFrf11ZtngG5
 MWxegpMso3GR5gNbt7q1vACcbZvHmJDLMwd2Z+hfr/6TQDM6QscaHfLvBR7WYb82R5e8
 Bbh8uDrlkMFGobdT7rXT/6SOxgVkBqsZnuPX3dFqDZSbeERQO+eZ9OCtOT5wzI2IU1Z0
 tKJQ==
X-Gm-Message-State: AOAM530//A2Rv19Jaf7l6unJqC/MEXtcrJbottkPTrmPBbxBVUI1co7I
 m5KhZyxM0nleL/KsSpaI60TScuiVQxw=
X-Google-Smtp-Source: ABdhPJxGYJzBRoz9SBn8JuqBd3srF4xRPtBtsDUKel8nDlYgrtz09p6gtozP++hQ7McvR9MBWCLvUw==
X-Received: by 2002:ac2:54a6:: with SMTP id w6mr4442965lfk.510.1632818500401; 
 Tue, 28 Sep 2021 01:41:40 -0700 (PDT)
Received: from guix-xps13 (95-29-46-147.broadband.corbina.ru. [95.29.46.147])
 by smtp.gmail.com with ESMTPSA id
 t17sm1840655lft.296.2021.09.28.01.41.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Sep 2021 01:41:40 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <8335ppkzc1.fsf@HIDDEN> <87ilylfcvt.fsf@HIDDEN>
 <83v92ljhmt.fsf@HIDDEN>
Date: Tue, 28 Sep 2021 11:41:38 +0300
In-Reply-To: <83v92ljhmt.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 28 Sep
 2021 10:15:06 +0300")
Message-ID: <87h7e56qil.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50852
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 50852 <at> debbugs.gnu.org,
 stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: Stefan Kangas <stefan@HIDDEN>,  andremegafone@HIDDEN,
>>   50852 <at> debbugs.gnu.org
>> Date: Tue, 28 Sep 2021 08:11:18 +0200
>>=20
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>=20
>> > In this case, why not simply have the value as "look" with no leading
>> > directories?  If the program is installed, it will be found when it's
>> > invoked, and if it isn't installed, the user gets an error message at
>> > that time.
>>=20
>> That's a good point.  And the ispell-look-p variable is itself rather
>> odd -- why have both ispell-look-command and that variable (with a
>> non-standard name)?
>
> Right.  The existence of "look" should IMO be tested as part of
> ispell-lookup-words, not when the package loads.  Then the command
> could decide whether to use "look" or Grep at that time, and the need
> for the ispell-look-p variable would disappear.

You're both right.  I was actually silly.  I can prepare a patch
following these ideas.


--=20
Andr=C3=A9 A. Gomes
"Free Thought, Free World"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 08:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 04:32:49 2021
Received: from localhost ([127.0.0.1]:43717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV8Xh-0005X0-5D
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 04:32:49 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:45005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1mV8Xf-0005Wm-G8
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 04:32:47 -0400
Received: by mail-lf1-f52.google.com with SMTP id y26so49982672lfa.11
 for <50852 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 01:32:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=uHZqjlkg/wNsxYUpAwSoEOxEBFguz0k/mj794pEdaao=;
 b=n7RiZiWSeqAJVu+KP5Z5iZ7vXQoHX6Q0g3Dl1Px+hS37sGwVLdAKreDVwXB1g7zIiZ
 4wI9oxhL1PSph96nyEQX/FdAfmX0MSZqUki4OnlAvg7fMz3cbj1voJ+fWr+3xWRrZWJO
 ADoqhU2vPaPkDKyPDhOqL3E/ugscxFjBtVdUUJM4XMb1jlAmVKC8DwWoGz7p1HPShwyE
 Uch1ZvgSHigJWWwEm5hElBkO66xL8POpBOXZ9ZYZS4qZ8bDudi/mVAIyxwpUc9Iks+1U
 8n+cHzkJu1OU21HZ1zSy2S7Ba7dLJJ8/L3A10G3C9Gpp35a545MDawt1Ea3uv6HxjJQe
 sU4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=uHZqjlkg/wNsxYUpAwSoEOxEBFguz0k/mj794pEdaao=;
 b=rbiXLdXhjGAbXHsR9IdYU2vudD2wseasx26FeO9gbwFC6n+wJYkNtbMPK3ZQnLZeEh
 /Zk1Oup97lL6yLvvyciGUiGpUbOchFpdJ47OqiBr+d+7UDQZMEH/1XpJBy0NHXPDxliT
 0kWxrn1P2Itqj+TF7fL8Q3Wr57Xuh4YGvdujgUgV9hqSZst4O05dy0Etq4nSlC+daeY1
 fjHsV/QNj94FV+v2R2vYLIXRNuO4nbO+Nn8f9EJgXU7shkWdEn0uK4J0aLeRicZBsFcf
 9WM+EME5P4WgwbqS2AiPJdfrvVFc1qNW9wuEc6nGgO6aoqnPYCfgrYd8dVhliLlIcOqz
 P5/w==
X-Gm-Message-State: AOAM5306DPa4VxwzFu0ZRGPE+2myDh1yxtY8wpr+AKHO3PADZY95vrLm
 kpnpbG4K6kA0epUrnukRauEDifnDha0=
X-Google-Smtp-Source: ABdhPJwFIacIFjkVJ+yrrP1sSfuUyeXasrydLIN/kXrDkDh4Rx5KgOgz3wb6RLYlAR4RZFu0OvrPBw==
X-Received: by 2002:a05:6512:3b94:: with SMTP id
 g20mr4421622lfv.77.1632817961153; 
 Tue, 28 Sep 2021 01:32:41 -0700 (PDT)
Received: from guix-xps13 (95-29-46-147.broadband.corbina.ru. [95.29.46.147])
 by smtp.gmail.com with ESMTPSA id
 b14sm1853391lff.246.2021.09.28.01.32.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Sep 2021 01:32:40 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
Date: Tue, 28 Sep 2021 11:32:39 +0300
In-Reply-To: <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 (Stefan Kangas's message of "Mon, 27 Sep 2021 16:56:14 -0700")
Message-ID: <87o88d6qxk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50852
Cc: 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

>> There's another aspect worth discussing.  The look program doesn't have
>> the -r flag (as of today), but ispell handles this case (look at
>> ispell-look-options).  It seems that look was published around 1979.
>> Perhaps it's time to deprecate this flag?
>
> Does that apply to all versions of look or just the GNU one?

I don't think there's a GNU one, since it's not part of the GNU
coreutils.

Here's what the man page say:

--8<---------------cut here---------------start------------->8---
The look utility appeared in Version 7 AT&T Unix.

The look command is part of the util-linux  package  and  is  available
       from https://www.kernel.org/pub/linux/utils/util-linux/.
--8<---------------cut here---------------end--------------->8---

From the first sentence I inferred that it appeared in 1979.

I had a look at the "look" program both on my GNU/Linux machine and on a
modern Mac laptop.  Both have the same "look", none have the "-r" flag.


--=20
Andr=C3=A9 A. Gomes
"Free Thought, Free World"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 07:15:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 03:15:08 2021
Received: from localhost ([127.0.0.1]:43617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV7KW-0001P0-EU
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 03:15:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mV7KU-0001OK-PM
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 03:15:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59828)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mV7KP-0006Qg-C1; Tue, 28 Sep 2021 03:15:01 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3051
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mV7KO-0000pv-TY; Tue, 28 Sep 2021 03:15:01 -0400
Date: Tue, 28 Sep 2021 10:15:06 +0300
Message-Id: <83v92ljhmt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87ilylfcvt.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 28 Sep 2021 08:11:18 +0200)
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <8335ppkzc1.fsf@HIDDEN> <87ilylfcvt.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50852
Cc: andremegafone@HIDDEN, 50852 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Stefan Kangas <stefan@HIDDEN>,  andremegafone@HIDDEN,
>   50852 <at> debbugs.gnu.org
> Date: Tue, 28 Sep 2021 08:11:18 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > In this case, why not simply have the value as "look" with no leading
> > directories?  If the program is installed, it will be found when it's
> > invoked, and if it isn't installed, the user gets an error message at
> > that time.
> 
> That's a good point.  And the ispell-look-p variable is itself rather
> odd -- why have both ispell-look-command and that variable (with a
> non-standard name)?

Right.  The existence of "look" should IMO be tested as part of
ispell-lookup-words, not when the package loads.  Then the command
could decide whether to use "look" or Grep at that time, and the need
for the ispell-look-p variable would disappear.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 06:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 02:11:32 2021
Received: from localhost ([127.0.0.1]:43534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV6Ky-00084W-He
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 02:11:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mV6Kw-00084H-Di
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 02:11:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2JoyJIIpJqFEZ77847ZYiOYe/RsuvwkXv6LjIFkpDEY=; b=YogDa6SFT/FLURuQqZLbG9i11m
 UpvsJQVUZgWx93W9KMPx1vCchA8Ct60iEry2Kb7lx4Kc6tgrjpTegSA1oQlRK7Qh9tW0O5NGzZJse
 KEEvFZXSJk0S8xx2Rd5lDwwuD4Mh4m8WvCIOSvigJth1BUGJMvjJ9Y5yGeuZMAO6F2fc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mV6Kl-0007z8-J6; Tue, 28 Sep 2021 08:11:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 <8335ppkzc1.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAAAXNSR0IArs4c6QAAAAJiS0dE
 AP+Hj8y/AAAACXBIWXMAAAsSAAALEgHS3X78AAAAB3RJTUUH5QkcBgkr5HGUfAAAAJhJREFUSMft
 k9ENgCAMRIGwkqPclF3KUfzBQC3aw/ihwX4R0tdryxHXMBZpMH9OIAeUk3BAXOqZQlqgIXBaQQF7
 BjolyKFhLrRCCGKSRPNDa0WnJSgBsV2lXpWrgZyWrETml4R+Sx7Gb6lgiTEQGo3jw7nxwh9344tS
 UU3MKTSmJxXqQzw/tGgBFzDOcRUwChxjSvP9wEeBDeQcFNLrTcmuAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDIxLTA5LTI4VDA2OjA5OjQzKzAwOjAwi4pwFwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0w
 OS0yOFQwNjowOTo0MyswMDowMPrXyKsAAAA4dEVYdGljYzpjb3B5cmlnaHQAQ29weXJpZ2h0IChj
 KSAxOTk4IEhld2xldHQtUGFja2FyZCBDb21wYW55+Vd5NwAAACF0RVh0aWNjOmRlc2NyaXB0aW9u
 AHNSR0IgSUVDNjE5NjYtMi4xV63aRwAAACZ0RVh0aWNjOm1hbnVmYWN0dXJlcgBJRUMgaHR0cDov
 L3d3dy5pZWMuY2gcfwBMAAAAN3RFWHRpY2M6bW9kZWwASUVDIDYxOTY2LTIuMSBEZWZhdWx0IFJH
 QiBjb2xvdXIgc3BhY2UgLSBzUkdCRFNIqQAAAABJRU5ErkJggg==
X-Now-Playing: Lost Girls's _Menneskekollektivet_: "Carried by Invisible
 Bodies"
Date: Tue, 28 Sep 2021 08:11:18 +0200
In-Reply-To: <8335ppkzc1.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 28 Sep
 2021 09:07:26 +0300")
Message-ID: <87ilylfcvt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > In this case, why not
 simply have the value as "look" with no leading > directories? If the program
 is installed, it will be found when it's > invoked, and if it isn't installed, 
 the user gets an er [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50852
Cc: andremegafone@HIDDEN, 50852 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> In this case, why not simply have the value as "look" with no leading
> directories?  If the program is installed, it will be found when it's
> invoked, and if it isn't installed, the user gets an error message at
> that time.

That's a good point.  And the ispell-look-p variable is itself rather
odd -- why have both ispell-look-command and that variable (with a
non-standard name)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 06:07:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 02:07:30 2021
Received: from localhost ([127.0.0.1]:43530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV6H3-0007xi-Vy
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 02:07:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mV6H2-0007xV-Ta
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 02:07:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57616)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mV6Gx-0000cF-J2; Tue, 28 Sep 2021 02:07:23 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2362
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mV6Gx-0007j1-6L; Tue, 28 Sep 2021 02:07:23 -0400
Date: Tue, 28 Sep 2021 09:07:26 +0300
Message-Id: <8335ppkzc1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
 (message from Stefan Kangas on Mon, 27 Sep 2021 16:56:14 -0700)
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
 <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50852
Cc: andremegafone@HIDDEN, 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Mon, 27 Sep 2021 16:56:14 -0700
> Cc: 50852 <at> debbugs.gnu.org
> 
> André A. Gomes <andremegafone@HIDDEN> writes:
> 
> > Here's a more robust way to handle the existence of the look program by
> > ispell.  GNU Guix users will be happy.
> 
> LGTM.  I do wonder if this shouldn't be done in many more places...

Careful: that will subtly change the behavior.  For starters,
executable-find looks in exec-path, which includes Emacs-specific
directories.  It also has its own ideas about which files are
executable and whether to try some extensions.  And finally,
executable-find could return nil, whereas the original value was never
nil, which could cause some code to signal an error, and requires the
user to redefine the value when a program was originally absent, but
is then installed without restarting Emacs.

I'm not saying these differences are for the worse, but they need to
be carefully considered when making such "innocent" changes, as they
could introduce subtle bugs and misfeatures, at least potentially.

In this case, why not simply have the value as "look" with no leading
directories?  If the program is installed, it will be found when it's
invoked, and if it isn't installed, the user gets an error message at
that time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 28 Sep 2021 05:54:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 01:54:22 2021
Received: from localhost ([127.0.0.1]:43491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV64M-0005QE-Nb
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 01:54:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mV64K-0005Pz-HF
 for 50852 <at> debbugs.gnu.org; Tue, 28 Sep 2021 01:54:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=20tQ2F0ZkaofObuRgurK503px1xoMd6FtlPi3zMYX4E=; b=FX2W8sVTR5mEpeNca19pUuS4y7
 VzgcEWo0jfWnIQvYpjTD6+/GovZslOS4mxSIB59xJCTCYcF8sD1OVknjdYRkK0hLzCpefqbAG4iyS
 sVBpGK/krnvON6eXNH3JdJ/q2J0tNhcsxlvHEztj2Z3GdDr6Bf9jrpJp+xz4kwfv1vVM=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mV64B-0007ri-ET; Tue, 28 Sep 2021 07:54:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?Andr=C3=A9?= A. Gomes <andremegafone@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
References: <87wnn17t85.fsf@HIDDEN>
X-Now-Playing: Lost Girls's _Menneskekollektivet_: "Menneskekollektivet"
Date: Tue, 28 Sep 2021 07:54:07 +0200
In-Reply-To: <87wnn17t85.fsf@HIDDEN> (=?utf-8?Q?=22Andr=C3=A9?= A.
 Gomes"'s message of "Mon, 27 Sep 2021 21:45:30 +0300")
Message-ID: <87zgrxfdog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  André A. Gomes <andremegafone@HIDDEN> writes: > Here's
    a more robust way to handle the existence of the look program by > ispell.
    GNU Guix users will be happy. Thanks; applied to Emacs 28 (but I made the
    ispell-look-p change more defensive, in case somebody has set ispell-look-command
    in their init file). 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50852
Cc: 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> Here's a more robust way to handle the existence of the look program by
> ispell.  GNU Guix users will be happy.

Thanks; applied to Emacs 28 (but I made the ispell-look-p change more
defensive, in case somebody has set ispell-look-command in their init
file).

> There's another aspect worth discussing.  The look program doesn't have
> the -r flag (as of today), but ispell handles this case (look at
> ispell-look-options).  It seems that look was published around 1979.
> Perhaps it's time to deprecate this flag?

Do you know when the "-r" flag disappeared?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at 50852 <at> debbugs.gnu.org:


Received: (at 50852) by debbugs.gnu.org; 27 Sep 2021 23:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 19:56:22 2021
Received: from localhost ([127.0.0.1]:43171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV0Tu-0004ko-E4
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 19:56:22 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:39754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mV0Ts-0004kb-DW
 for 50852 <at> debbugs.gnu.org; Mon, 27 Sep 2021 19:56:20 -0400
Received: by mail-pg1-f177.google.com with SMTP id g184so19338597pgc.6
 for <50852 <at> debbugs.gnu.org>; Mon, 27 Sep 2021 16:56:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=iT5LaTeprhJEYAs0yuQHaiQUsB5DGh8Xw251F+iBgvo=;
 b=oatUH9HvLTVXo1dmL8XaZfxufKj3Jz4CEh5MEUMLCj/ZBSkGmezb41trz8S8RwtH86
 Lm7hiJr2U8ShSpVt9l7yOYn4GlrjkDnd43FssMUJze+ifzHaqK/Irnz42Yf/nJRcVnZQ
 dPzY/X1CWP9EDEO5c9VLYLf1/LpGCV1jw+wFOAgtH9A5/ZwD3PQoPcf1IrFb/n3s2jkm
 nB+T40ddShiwnT7VEaYjEILux+fuyeuyzPe0qYvfB8+eWAA24DAq3de/zRHl+g9WRso+
 PjM0MiI9ODKjU6LD1uDeN7yOJVpgBpeEr9sHHZDan9ZGfSiHAt5fYmK6s00D6/PxsjO4
 LLFg==
X-Gm-Message-State: AOAM530vWDDzBztgMpf9FbXsdC40nHfhEv2sejLnUNbRlP/oZ36evoYH
 18mYpKQ1WqifjRnNodEHCjbbKpFmsy1h+itAVMU=
X-Google-Smtp-Source: ABdhPJyhHLaHz9N7aO3blmqRAecmaYHwn6bvKOacxHaXm4cy38WqOAmJ/oCTmFjn4KkD38IZRqRI/K1T4eDCkCfrFoo=
X-Received: by 2002:a63:4717:: with SMTP id u23mr1923075pga.359.1632786974618; 
 Mon, 27 Sep 2021 16:56:14 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 27 Sep 2021 16:56:14 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: =?UTF-8?B?PDg3d25uMTd0ODUuZnNmQGdtYWlsLmNvbT4gKCJBbmRyw6kgQS4gR29tZXMiJ3Mg?=
 =?UTF-8?B?bWVzc2FnZSBvZiAiTW9uLCAyNyBTZXAgMjAyMSAyMTo0NTozMCArMDMwMCIp?=
References: <87wnn17t85.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Mon, 27 Sep 2021 16:56:14 -0700
Message-ID: <CADwFkm=OuR95+V8Z36cgOK2d9mdL3p3ZZ071E_kgJZ3y8MoOrg@HIDDEN>
Subject: Re: bug#50852: [PATCH] Fix search of the look program.
To: =?UTF-8?B?QW5kcsOpIEEuIEdvbWVz?= <andremegafone@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 50852
Cc: 50852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Andr=C3=A9 A. Gomes <andremegafone@HIDDEN> writes:

> Here's a more robust way to handle the existence of the look program by
> ispell.  GNU Guix users will be happy.

LGTM.  I do wonder if this shouldn't be done in many more places...

> There's another aspect worth discussing.  The look program doesn't have
> the -r flag (as of today), but ispell handles this case (look at
> ispell-look-options).  It seems that look was published around 1979.
> Perhaps it's time to deprecate this flag?

Does that apply to all versions of look or just the GNU one?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Sep 2021 18:45:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 14:45:43 2021
Received: from localhost ([127.0.0.1]:42846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUvdH-000114-7x
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 14:45:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:41884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andremegafone@HIDDEN>) id 1mUvdF-00010x-Fj
 for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 14:45:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47778)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1mUvd9-0000k0-23
 for bug-gnu-emacs@HIDDEN; Mon, 27 Sep 2021 14:45:41 -0400
Received: from mail-lf1-x12d.google.com ([2a00:1450:4864:20::12d]:35494)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andremegafone@HIDDEN>)
 id 1mUvd7-0004mo-1o
 for bug-gnu-emacs@HIDDEN; Mon, 27 Sep 2021 14:45:34 -0400
Received: by mail-lf1-x12d.google.com with SMTP id m3so81856069lfu.2
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Sep 2021 11:45:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=tpJC3VstqlSYbrtBl9IExkzWpv3E72IwCauSHbN7LlU=;
 b=eEz7SSXdVobv3/5p1A3VqYfQgSuBlqms4yhDnG1SEtmYSvkKAAcuddKuo9xjonrmMu
 xW/dxsC5uMZz8lLANlhFnp3uBiJ3L4QSALOXj9slOr1g8sn918IXgcWrah5/86BG3hX/
 UTjRJ8xNJoxZYJY9CruyWJOoQigclZQ9DPssjjixtZSXKsCz7LaeP3Zwe367rJxf6L4v
 xAlzf+qRlgHZTmYoZ+LOwLQm15ytN0Pd1XchByJpA1tY+/WzfqMdiNrRlLnyrMxXu5vd
 DCPOAqdSJxX/oiqRijY5q4OAlstDHfiIZrLjT7CNONgylyOtso9cnM1Vrqkix2zw34hY
 bjHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=tpJC3VstqlSYbrtBl9IExkzWpv3E72IwCauSHbN7LlU=;
 b=gT/H2Mp3doAXL8UkvwwQoxiKMDqXg5AkVUxYzN2F50Czp5040yeYE3Sz6+SAddyaNW
 IR1u8MyTX/CAC/g+k2fdGcRDOUqsbMyU5YecPO3xUtSJVnZfBTiTWRhF4GQe0Go8b4PO
 RM9CCfs8Q3CZDMJlbO/fkM1ytbA3+qVOhjsN2sugs4oJMinuxCxiDSCd8FMeK39m6K2l
 ceS2Ave8rRszQnJcEHi+Hq7UPNeWzXsN3bUOJZI55HEKWtKZyEcV69wHOar2O1pp7noA
 9wtrM3sMivcVH7scTLN9E/Ik4TAjbj39AUD82JobB/6TXA6wS73cpEavnQEnemupg+rf
 ZD5A==
X-Gm-Message-State: AOAM531ZD21/a+E1JipXi6u2jCKgyFU4EJfwHXGfSoSgxG+oDxpMllGE
 anPhUpdYYPBjkvanoulPWrszgC0CdHo=
X-Google-Smtp-Source: ABdhPJxeEnzarPs7YrfnL9piCM5VkEcJwzVAuwAxdS8mhcZJUidSCa4iiSKoK3Cy3/D+/j+t4UYfYQ==
X-Received: by 2002:a05:6512:33cc:: with SMTP id
 d12mr1349382lfg.96.1632768331221; 
 Mon, 27 Sep 2021 11:45:31 -0700 (PDT)
Received: from guix-xps13 (95-29-46-147.broadband.corbina.ru. [95.29.46.147])
 by smtp.gmail.com with ESMTPSA id
 w2sm1674529lfl.155.2021.09.27.11.45.30 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 27 Sep 2021 11:45:30 -0700 (PDT)
From: =?utf-8?Q?Andr=C3=A9_A=2E_Gomes?= <andremegafone@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] Fix search of the look program.
Date: Mon, 27 Sep 2021 21:45:30 +0300
Message-ID: <87wnn17t85.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::12d;
 envelope-from=andremegafone@HIDDEN; helo=mail-lf1-x12d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Emacs,

Here's a more robust way to handle the existence of the look program by
ispell.  GNU Guix users will be happy.

There's another aspect worth discussing.  The look program doesn't have
the -r flag (as of today), but ispell handles this case (look at
ispell-look-options).  It seems that look was published around 1979.
Perhaps it's time to deprecate this flag?

Thank you.


--
Andr=C3=A9 A. Gomes
"Free Thought, Free World"

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-search-of-the-look-program.patch

From 5a42784837845fa718bd80fd878c88c09d331a5b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Andr=C3=A9=20A=2E=20Gomes?= <andremegafone@HIDDEN>
Date: Mon, 27 Sep 2021 21:27:26 +0300
Subject: [PATCH] Fix search of the look program.

Not all distributions follow the FHS standard.  For instance, in GNU
Guix the look program lives at /run/current-system/profile/bin/.

* lisp/textmodes/ispell.el: Fix logic concerning the existence of the
look program.
---
 lisp/textmodes/ispell.el | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/lisp/textmodes/ispell.el b/lisp/textmodes/ispell.el
index b650ab3871..65da617e07 100644
--- a/lisp/textmodes/ispell.el
+++ b/lisp/textmodes/ispell.el
@@ -250,16 +250,12 @@ Always stores Fcc copy of message when nil."
 Should probably be \"-Ei\"."
   :type 'string)
 
-(defcustom ispell-look-command
-  (cond ((file-exists-p "/bin/look") "/bin/look")
-	((file-exists-p "/usr/local/bin/look") "/usr/local/bin/look")
-	((file-exists-p "/usr/bin/look") "/usr/bin/look")
-	(t "look"))
+(defcustom ispell-look-command (executable-find "look")
   "Name of the look command for search processes.
 This must be an absolute file name."
   :type 'file)
 
-(defcustom ispell-look-p (file-exists-p ispell-look-command)
+(defcustom ispell-look-p ispell-look-command
   "Non-nil means use `look' rather than `grep'.
 Default is based on whether `look' seems to be available."
   :type 'boolean)
-- 
2.33.0


--=-=-=--




Acknowledgement sent to André A. Gomes <andremegafone@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50852; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 30 Oct 2021 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.